CairoContext::clipPreserve
CairoContext::closePath
CairoContext
PHP Manual

# CairoContext::clipRectangleList

# cairo_clip_rectangle_list

Retrieves the current clip as a list of rectangles

### Description

Object oriented style (method):

public array CairoContext::clipRectangleList ( void )

Procedural style:

array cairo_clip_rectangle_list ( CairoContext `$context` )

Returns a list-type array with the current clip region as a list of rectangles in user coordinates

### Parameters

`context`

  A valid CairoContext object created with CairoContext::__construct or cairo_create

### Return Values

An array of user-space represented rectangles for the current clip

(The status in the list may be CAIRO_STATUS_CLIP_NOT_REPRESENTABLE to indicate that the clip region cannot be represented as a list of user-space rectangles. The status may have other values to indicate other errors.)

### Examples

Example #1 Object oriented style

`<?php
$surface = new CairoImageSurface(CairoFormat::ARGB32, 50, 50);
$context = new CairoContext($surface);
var_dump($context->clipRectangleList());
?>`

The above example will output something similar to:

    array(1) {
      [0]=>
      array(4) {
        ["x"]=>
        float(0)
        ["y"]=>
        float(0)
        ["width"]=>
        float(50)
        ["height"]=>
        float(50)
      }
    }

Example #2 Procedural style

`<?php
$surface = cairo_image_surface_create(CAIRO_FORMAT_ARGB32, 50, 50);
$context = cairo_create($surface);
var_dump(cairo_clip_rectangle_list($context));
?>`

The above example will output something similar to:

    array(1) {
      [0]=>
      array(4) {
        ["x"]=>
        float(0)
        ["y"]=>
        float(0)
        ["width"]=>
        float(50)
        ["height"]=>
        float(50)
      }
    }

### See Also

- Classname::Method